All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.relational
Class DataCellArea

    com.sas.actionprovider.util.relational.DataCellArea

All Implemented Interfaces:
  ColumnAreaInterface

    public class DataCellArea

implements ColumnAreaInterface

Object for specifying the attributes required for identifying a data cell in a relational tableview component.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4

Field Summary

Fields inherited from interface com.sas.actionprovider.util.relational.ColumnAreaInterface
`UNSET`

Constructor Summary
`DataCellArea()` Constructor.
`DataCellArea(int modelIndex)` Default constructor.
`DataCellArea(java.lang.String columnId)` Constructor.

Method Summary
`java.lang.String` | `getColumnId()` Returns the id of the column.
`int` | `getModelIndex()` Returns the model index of the column.
`int` | `getViewerIndex()` Returns the viewer index of the column.
`void` | `setColumnId(java.lang.String columnId)` Returns the id of the column.
`void` | `setModelIndex(int modelIndex)` Sets the model index of the column.
`void` | `setViewerIndex(int viewerIndex)` Sets the viewer index of the column.

Constructor Detail

### DataCellArea

    public DataCellArea()

  Constructor.

  Parameters:
    `columnId` - The id of the column.

### DataCellArea

    public DataCellArea(java.lang.String columnId)

  Constructor.

  Parameters:
    `modelIndex` - The modelIndex of the column.

### DataCellArea

    public DataCellArea(int modelIndex)

  Default constructor. Calls the other constructor for specifying strategy type.

Method Detail

### setColumnId

    public void setColumnId(java.lang.String columnId)

  Returns the id of the column.

  Specified by:
    `setColumnId` in interface `ColumnAreaInterface`
  Parameters:
    `columnId` - the id of the column.

### getColumnId

    public java.lang.String getColumnId()

  Returns the id of the column.

  Specified by:
    `getColumnId` in interface `ColumnAreaInterface`
  Returns:
    the id of the column.

### setViewerIndex

    public void setViewerIndex(int viewerIndex)

  Sets the viewer index of the column.

  Specified by:
    `setViewerIndex` in interface `ColumnAreaInterface`
  Parameters:
    `viewerIndex` - the viewer index of the column.

### getViewerIndex

    public int getViewerIndex()

  Returns the viewer index of the column.

  Specified by:
    `getViewerIndex` in interface `ColumnAreaInterface`
  Parameters:
    `the` - viewer index of the column.

### setModelIndex

    public void setModelIndex(int modelIndex)

  Sets the model index of the column.

  Specified by:
    `setModelIndex` in interface `ColumnAreaInterface`
  Parameters:
    `modelIndex` - the model index of the column.

### getModelIndex

    public int getModelIndex()

  Returns the model index of the column.

  Specified by:
    `getModelIndex` in interface `ColumnAreaInterface`
  Parameters:
    `the` - model index of the column.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.